Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029889
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 04. Warehouse managementmajoralways2015-04-27 12:152015-05-18 11:58
ReporterpsanjuanView Statuspublic 
Assigned Toaferraz 
PriorityurgentResolutionfixedFixed in Version3.0PR15Q2.1
StatusclosedFix in branchFixed in SCM revisioncbea2f4da446
ProjectionnoneETAnoneTarget Version3.0PR15Q2.1
OSLinux 32 bitDatabaseOracleJava version1.6
OS VersionUbuntu 8.04.1Database version11.1.0.6.0Ant version1.7.0
Product VersionSCM revision 
Review Assigned Toumartirena
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029889: [Cost Adjutments] - Costing Background process seems not to be working for price correction adjustment

Description[Cost Adjutments] - Costing Background process seems not to be working for price correction adjustment, once "Enable automatic Price Difference Corrections" property is set to Y
Steps To ReproduceEnable the preference "Enable automatic Price Difference Corrections" for
Proposed SolutionNavigate to Process Request window and create a new record, select your client and (*) Organization. Configure and schedule the background process every 3 seconds.

Navigate to Preference window and create a new record.
Select your client, select a legal entity organization, the one you would like to calculate cost for, and select "Enable automatic price difference corrections" property.
Enter Y in the field Value, make sure there are no empty spaces in that field but just Y

Do not select any value within Visibility group of fields.

Run below scenario which should cause a price correction, and realize that no price correction is created.

Before that create a Costing rule for your legal entity with below setup:
Average Algorithm
Warehouse Dimension = Yes
Backdated Transactions Fixed = Yes

and a product named "Product Price Correction" with below setup:
Price List Version = Purchase Price List = Unit Price = List Price = 100

Dated on 10-01-2015 create a purchase order for 5 units of the product created below. Book the order.

Complete and Post a Goods Receipt for that order dated on 11-01-2015
Create a goods shipment dated on 15-01-2015 for 1 unit of the product. Complete and post it.
Dated on 16-01-2015 register a purchase invoice, by using the feature "Create Lines From" the receipt.
Navigate to Purchase Invoice "Lines" tab and change the price to 105 €/Ud.
Complete and Post the invoice.

Realize that no price correction adjustment is created but that is not correct.
A 25.00€ adjustment needs to be created for the input transaction (Goods Recetip) and a 5.00€ adjustment needs to be created for the output transaction (Goods Shipment).

Above adjustments only happen by running the "Price Correction Background" process.








TagsApproved
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0029701 closedaferraz [Cost Adjutments] - Costing Background process seems not to be working for price correction adjustment 

-  Notes
(0077521)
hgbot (developer)
2015-05-18 11:57

Repository: erp/backports/3.0PR15Q2.1
Changeset: cbea2f4da446c7e4808a425e51ab573180012c80
Author: Alvaro Ferraz <alvaro.ferraz <at> openbravo.com>
Date: Thu May 14 17:24:16 2015 +0200
URL: http://code.openbravo.com/erp/backports/3.0PR15Q2.1/rev/cbea2f4da446c7e4808a425e51ab573180012c80 [^]

Fixes issue 29889 & Fixes issue 29887: Error in Price Correction Background

IsCostCalculated will not be considered to set CheckPriceDifference flag, when completing an invoice.
Instead, when running Price Correction Background, transactions will be filtered by IsCostCalculated to avoid calculate price differences in transactions where cost has not been calculated.

---
M src-db/database/model/functions/C_INVOICE_POST.xml
M src/org/openbravo/costing/PriceDifferenceProcess.java
---
(0077523)
umartirena (developer)
2015-05-18 11:58

Code Review + Testing OK

- Issue History
Date Modified Username Field Change
2015-05-14 16:56 aferraz Type defect => backport
2015-05-14 16:56 aferraz Target Version => 3.0PR15Q2.1
2015-05-15 13:19 dmitry_mezentsev Tag Attached: Approved
2015-05-18 11:57 hgbot Checkin
2015-05-18 11:57 hgbot Note Added: 0077521
2015-05-18 11:57 hgbot Status scheduled => resolved
2015-05-18 11:57 hgbot Resolution open => fixed
2015-05-18 11:57 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/14775af5b6a0ac9017cb674f11c04a873c4dec07 [^] => http://code.openbravo.com/erp/backports/3.0PR15Q2.1/rev/cbea2f4da446c7e4808a425e51ab573180012c80 [^]
2015-05-18 11:58 umartirena Review Assigned To => umartirena
2015-05-18 11:58 umartirena Note Added: 0077523
2015-05-18 11:58 umartirena Status resolved => closed
2015-05-18 11:58 umartirena Fixed in Version => 3.0PR15Q2.1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker